"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.finalNote = void 0;
const chalk_1 = require("chalk");
function finalNote(args) {
    const lines = [
        `That's it!`,
        `Change to your new directory and start developing:`,
        msg(`cd ${args.target}`),
        `Start the ${presetLabel(args.preset)} app:`,
        cmd(args.packageManager, 'dev'),
    ];
    if (args.anchor !== 'none') {
        lines.push(...[`Run Anchor commands:`, cmd(args.packageManager, 'anchor build | test | localnet | deploy')]);
        lines.push(...[`Generate more features using the following command:`, cmd(args.packageManager, 'feature')]);
    }
    return lines.join('\n\n');
}
exports.finalNote = finalNote;
function presetLabel(preset) {
    switch (preset) {
        case 'next':
            return 'Next.js';
        case 'react':
            return 'React';
        default:
            return preset;
    }
}
function cmd(pm, command) {
    return msg(`${pm} run ${command}`);
}
function msg(message) {
    return (0, chalk_1.bold)((0, chalk_1.magentaBright)(message));
}
//# sourceMappingURL=final-note.js.map